using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace SL_TrialMode
{
    public class TestTrialMode
    {
        public bool g_boTrialMode { get; set; }
        public TestTrialMode()
        {
            g_boTrialMode = true;
        }
        public void ToggleTrialMode()
        {
            g_boTrialMode = g_boTrialMode ? false : true;
        }
        public bool TrialMode()
        {
#if DEBUG
            return g_boTrialMode;
#else
            Microsoft.Phone.Marketplace.LicenseInformation myLic  = new Microsoft.Phone.Marketplace.LicenseInformation();
            return myLic.IsTrial();
       
#endif
        }
        public bool RealTrialMode()
        {
            Microsoft.Phone.Marketplace.LicenseInformation myLic = new Microsoft.Phone.Marketplace.LicenseInformation();
            return myLic.IsTrial();
        }
    }
}
